/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 主观题信息(用于Excel导出)
 */
@Entity
@Table(name = "ec_prt_subjective_question_structure", indexes = {
        @Index(name = "INDEX_PRT_SUBJECTIVE_QUESTION_01", columnList = "examId"),
        @Index(name = "INDEX_PRT_SUBJECTIVE_QUESTION_02", columnList = "courseId"),
        @Index(name = "INDEX_PRT_SUBJECTIVE_QUESTION_03", columnList = "paperId")})
public class SubjectiveQuestionStructure extends IdEntity {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程代码
     */
    @Excel(name = "科目代码", orderNum = "0")
    @Column(length = 50)
    private String courseCode;
    /**
     * 课程名称
     */
    @Excel(name = "科目名称", orderNum = "1")
    @Column(length = 50)
    private String courseName;
    /**
     * 试卷ID
     */
    @Column(length = 50)
    private String paperId;
    /**
     * 试卷名称
     */
    @Excel(name = "试卷名称", orderNum = "2")
    @Column(length = 50)
    private String paperName;
    /**
     * 试卷类型(如：A、B)
     */
    @Excel(name = "试卷类型", orderNum = "3")
    private String paperType;
    /**
     * 大题号
     */
    @Excel(name = "大题号", orderNum = "4")
    @Column(length = 50)
    private Integer sectionNum;
    /**
     * 大题名称
     */
    @Excel(name = "大题名称", orderNum = "5")
    @Column(length = 100)
    private String sectionName;
    /**
     * 小题号
     */
    @Excel(name = "小题号", orderNum = "6")
    private Integer unitNum;
    /**
     * 小题分数
     */
    @Excel(name = "满分", orderNum = "7")
    private Double unitScore;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getSectionNum() {
        return sectionNum;
    }

    public void setSectionNum(Integer sectionNum) {
        this.sectionNum = sectionNum;
    }

    public String getSectionName() {
        return sectionName;
    }

    public void setSectionName(String sectionName) {
        this.sectionName = sectionName;
    }

    public Integer getUnitNum() {
        return unitNum;
    }

    public void setUnitNum(Integer unitNum) {
        this.unitNum = unitNum;
    }

    public Double getUnitScore() {
        return unitScore;
    }

    public void setUnitScore(Double unitScore) {
        this.unitScore = unitScore;
    }

}