/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-20 14:22:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursepaper;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

import java.util.List;

/**
 * 批量导出(请求)
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
public class ExportBatchReq implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID列表
     */
    private List<Long> ids;
    /**
     * 是否需要导出试卷
     */
    private Boolean needPaper;
    /**
     * 是否需要导出答案
     */
    private Boolean needAnswer;
    /**
     * 是否需要导出试卷结构
     */
    private Boolean needStruct;

    public boolean required() {
        //至少选择一种
        if (getNeedPaper()) {
            return true;
        }
        if (getNeedAnswer()) {
            return true;
        }
        if (getNeedStruct()) {
            return true;
        }
        return false;
    }

    public List<Long> getIds() {
        return ids;
    }

    public void setIds(List<Long> ids) {
        this.ids = ids;
    }

    public Boolean getNeedPaper() {
        return needPaper != null ? needPaper : false;
    }

    public void setNeedPaper(Boolean needPaper) {
        this.needPaper = needPaper;
    }

    public Boolean getNeedAnswer() {
        return needAnswer != null ? needAnswer : false;
    }

    public void setNeedAnswer(Boolean needAnswer) {
        this.needAnswer = needAnswer;
    }

    public Boolean getNeedStruct() {
        return needStruct != null ? needStruct : false;
    }

    public void setNeedStruct(Boolean needStruct) {
        this.needStruct = needStruct;
    }

}